1. Transaction
RemitPro - API International Remittance
  • Getting Strated Guide
    • 1. Overview
    • 2. High Level Flow
    • 3. Supported Corridors
    • 4. Authorization & Scope
    • 5. Handle Error
    • 6. Signature
    • 7. API Host
    • 8. Pre-Integration Steps
    • 9. Doc Change Log
  • API Reference (V1)
    • Authentication
      • Generate Token
        POST
      • Refresh Token
        POST
    • Master Data
      • Onboarding
        • Overview
        • Id Type Personal
        • Id Types Business
        • Business Classification
        • Business Industry
        • Nature of Business
        • Business Entity
        • Document Types Personal
        • Document Types Business
        • Education
        • Gender
        • Marital Status
        • Nationalities
        • Occupation
        • Purpose Account
        • Salutation
        • User Position
        • Phone Prefix
        • Monthly Income
      • Area
        • Overview
        • Countries
        • Countries by Id
        • States
        • States by Id
        • City
        • City by Id
        • District
        • District by Id
        • Sub District
        • Sub District by Id
      • Transaction
        • Overview
        • Bank
        • Bank Branch
        • Bank Account Type
        • Business Classification
        • Business Industry
        • Nature of Business
        • Business Entity
        • Identity Types
        • Education
        • Gender
        • Marital Status
        • Nationalities
        • Occupation
        • Phone Prefix
        • Purpose of Payment
        • Recipient of Relationship
        • Source of Income
        • User Position
        • Work Status
    • Payout Cross Border
      • Sender
        • Overview
        • Business
          • Create Sender
          • Update Sender
          • Deactive
          • Reactive
          • Sender Detail
          • Sender List
          • History List
        • Personal
          • Create Sender
          • Update Sender
          • Deactive
          • Reactive
          • Sender Detail
          • Sender List
          • History List
      • Recipient
        • Overview
        • Business
          • Recipient Form
          • Create
          • Update
          • Deactive
          • Reactive
          • Recipient Detail
          • Recipient List
          • History List
        • Personal
          • Recipient Form
          • Create
          • Update
          • Deactive
          • Reactive
          • Recipient Detail
          • Recipient List
          • History List
      • Quotes
        • Enquire Quotes
        • Quote List
        • Quote Detail
      • Transaction
        • Create Transaction
          POST
        • Transaction Status
          GET
        • Transaction List
          GET
        • Transaction Detail
          GET
    • Onbording Member
      • Overview
      • Business
        • Get Business Document
        • Create Member
        • Update
        • Deactive
        • Reactive
        • Member List
        • Member Detail
        • History List
      • Personal
        • Create Member
        • Update
        • Deactive
        • Reactive
        • Member List
        • Member Detail
        • History List
    • Wallet
      • Overview
      • Own Wallet
      • Wallet Member List
      • Wallet Member Detail
      • Get Own Wallet Histories
      • Get Member Wallet Histories
    • Virtual Account
      • Create Virtual Account
      • Virtual Account List
      • Virtual Account Detail
      • Top Up Simulation
    • Webhook
      • Overview
      • Webhook Category
      • Webhook URL Submission
      • Get Webhook URL List
      • Update
      • Deactive
  1. Transaction

Create Transaction

Developing
POST
/api/v1/partner/payouts/remittances/transactions
Create Transaction endpoint is used to initiate a remittance transaction from a sender to a recipient.
Before performing a transaction, you must first retrieve the senderId, recipientId/recipientData, quoteId, transferData, tosData . These values are required to ensure the transaction has valid references for the sender details, recipient details, and applicable exchange rates and fees.
Additionally, there are two methods available when calling the recipient payload:
1.
Using recipientId – Simply reference a recipient that has already been registered in the system.
Recipient - BUSINESS GET/api/v1/partner/payouts/remittances/recipients/businesses
Recipient - PERSONAL GET/api/v1/partner/payouts/remittances/recipients/personals
2.
Using recipientData directly in the transaction payload – Provide recipient details (such as user information, business information, address details, bank details, identification detail, and additional data) directly in the payload without prior registration. Ensure that all submitted data complies with the required validation rules refer to:
GET /api/v1/partner/payouts/remittances/recipients/businesses/forms/{recipient_country_code}
The system will validate all submitted data, including compliance checks and regulatory restrictions.
If all information is valid, the transaction will be created with an initial status of PENDING until the payment or settlement process is COMPLETED.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Invalid Data
🟠401Unauthorized
🟠401Token Expired
🟠404Data Not Found
🟠401Invalid Account
🟠404Resource Not Found
🟠400Insufficient Balance
🟠404Data Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/v1/partner/payouts/remittances/transactions' \
--header 'Authorization: {{token}}' \
--header 'ClientSecret: {{ClientSecret}}' \
--header 'Signature: {{signature}}' \
--header 'Date: {{dateRequest}}' \
--header 'X-User-Key: {{userKey}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "quoteId": "e267c8c0-84d3-4443-8e6e-595e5bee3f28",
    "senderId": "0b0d0ce5-41f6-480c-b280-85c7ae8370b7",
    // "recipientId": "", // conditional_required
    "recipientData": {
        "recipientType": "BUSINESS",
        "recipientCountryCode": "USA",
        "recipientCurrencyCode": "USD",
        "recipientDetails": {
            "bankDetails": {
                "accountNumber": "09102122",
                "accountCode": "091234566",
                "accountName": "Pacific Horizon Solutions",
                "accountTypeId": "5d7e4f2f-c8ea-4a2f-b83d-cb1d162a4db0",
                "bankId": "RMT1-8c0608f7ce7d4de99f6d9efe77841dea",
                "bankName": "ABANCA USA",
                "bankBranchId": "",
                "bankBranchName": ""
            },
            "businessInformation": {
                "businessNumber": "BIZ-20250910",
                "businessName": "Pacific Horizon Solutions Inc.",
                "preferredName": "Pacific Horizon",
                "emailAddress": "pacifichorizon@gmail.com",
                "phonePrefix": "1",
                "phoneNumber": "4155550134",
                "foundationDate": "2005-07-15",
                "numberOfEmployee": "250",
                "taxIdNumber": "AKJD012910212"
            },
            "userInformation": {
                "firstName": "Michael",
                "middleName": "Andrew",
                "lastName": "Johnson",
                "preferredName": "Mike",
                "fullName": "Michael Andrew Johnson",
                "emailAddress": "dummyuser+mikejohnson@gmail.com",
                "phonePrefix": "1",
                "phoneNumber": "2025550198",
                "pobCountryCode": "USA",
                "pob": "New York",
                "dob": "1994-03-18"
            },
            "addressDetails": {
                "countryCode": "USA",
                "state": "California",
                "city": "Los Angeles",
                "district": "Downtown",
                "subdistrict": "Arts District",
                "zipcode": "90012",
                "address": "1234 Sunset Boulevard"
            },
            "identificationDetails": {
                "typeId": "93a603a6-6446-44f1-8971-6c7316aadf0f",
                "idNumber": "1234567890123456",
                "issueCountryCode": "USA",
                "issueDate": "2020-12-19",
                "expiredDate": "2028-01-12",
                "issueState": "California",
                "issueCity": "San Francisco",
                "issuePlace": "450 Golden Gate Ave",
                "issueAuthority": "California Department of Motor Vehicles"
            }
        }
    },
    /*"underlyingData": { // conditional_required
        "file": "",
        "description": ""
    },*/
    "transferData": {
        "remarks": "Test",
        "purposeOfPaymentId": "0a5ac571-f746-4afb-a528-9a3a5baffe64",
        "senderRecipientRelationshipId": "ba3795bd-27c4-406c-9445-9f8bd6c51f88"
    },
    "tosData": {
        "serviceAgreement": "User agreed to Terms of Service v1",
        "userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/140.0.0.0 Safari/537.36",
        "ip": "Test IP"
    }
}'
Response Response Example
200 - Success
{
    "status": 200,
    "serviceStatus": "2001701",
    "titleCode": "success",
    "title": "Success",
    "detail": "Processed successfully",
    "responseTime": "2025-09-30T12:02:12.447+00:00",
    "data": {
        "id": "196583c0-c9e5-4402-9525-02c431219648",
        "code": "REMIT2509BDQP3012",
        "quoteId": "e267c8c0-84d3-4443-8e6e-595e5bee3f28",
        "quoteCreatedAt": "2025-09-30T11:54:59Z",
        "ownershipStatus": "ROOT",
        "ownershipId": "93cffe3b-effc-494a-a1f7-3ed04c7f75ce",
        "sourceCurrencyCode": "USD",
        "recipientType": "BUSINESS",
        "recipientCountryCode": "USA",
        "recipientCurrencyCode": "USD",
        "receivingAmount": {
            "amount": "5.00",
            "currencyCode": "USD"
        },
        "fxRate": {
            "value": "0.990000000"
        },
        "sendingAmount": {
            "amount": "5.05",
            "currencyCode": "USD"
        },
        "adminFee": {
            "amount": "10.01",
            "currencyCode": "USD"
        },
        "paymentAmount": {
            "amount": "15.06",
            "currencyCode": "USD"
        },
        "transferData": {
            "remarks": "Test",
            "purposeOfPaymentId": "0a5ac571-f746-4afb-a528-9a3a5baffe64",
            "purposeOfPaymentName": "Household Maintenance",
            "senderRecipientRelationshipId": "ba3795bd-27c4-406c-9445-9f8bd6c51f88",
            "senderRecipientRelationshipName": "Daughter",
            "senderSourceOfIncomeName": "BYPASS"
        },
        "tosData": {
            "serviceAgreement": "User agreed to Terms of Service v1",
            "userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/140.0.0.0 Safari/537.36",
            "ip": "Test IP"
        },
        "senderData": {
            "id": "0b0d0ce5-41f6-480c-b280-85c7ae8370b7",
            "senderType": "BUSINESS",
            "identificationDetails": {
                "typeId": "93a603a6-6446-44f1-8971-6c7316aadf0f",
                "typeName": "Voter's photo ID card",
                "idNumber": "1224567890234566",
                "issueCountryCode": "IDN",
                "issueCountry": "Indonesia",
                "issueDate": "2020-12-19",
                "expiredDate": "2028-01-12",
                "issueState": "DKI JAKARTA",
                "issueCity": "JAKARTA SELATAN",
                "issuePlace": "Dukcapil Jakarta Selata",
                "issueAuthority": "Dukcapil",
                "file": "https://dev.remitpro.asia/v1/file/view/0b9bfb39-c889-426b-a2b5-2e15c9833763?ts=1759320132&sig=26b9f62025120ed065a4b084b8aaca14cd9e19d7606b8e23d2b6dafb3f12b2e1"
            },
            "userInformation": {
                "firstName": "Anisa",
                "lastName": "Maheswari",
                "fullName": "Anisa Maheswari",
                "preferredName": "Nisa",
                "emailAddress": "nisa@gmail.com",
                "phonePrefix": "62",
                "phoneNumber": "85813093961",
                "genderId": "23718861-42ec-4af7-bcf1-1e0de8ff5d3f",
                "genderName": "Female",
                "pobCountryCode": "IDN",
                "pobCountry": "Indonesia",
                "pob": "Jakarta Selatan",
                "dob": "1996-04-20",
                "nationalityId": "49df8137-fc95-40e1-8dce-182266ca977f",
                "nationalityName": "Belgian",
                "sourceOfIncomeId": "a81e7e1e-3a57-4771-9ee8-f24095167496",
                "sourceOfIncomeName": "Government funding",
                "occupationId": "7035288a-2447-479f-a61b-388d366f28ec",
                "occupationName": "Professional",
                "maritalStatusId": "a2d54bc4-2bca-4bda-83ad-d3ee45d5f172",
                "maritalStatusName": "Single",
                "educationId": "049a3a6c-0ab7-4e8b-859e-66c86afe690b",
                "educationName": "Magister (S2)",
                "workstatusId": "30d2ab30-3cc8-437f-92de-b201c9b6ee08",
                "workstatusName": "Employed",
                "workpositionId": "67c2b90c-4274-4cd2-a1dc-0a73804cd386",
                "workpositionName": "Head of Division / Department Head"
            },
            "businessInformation": {
                "businessNumber": "123456789",
                "businessName": "PT Cemerlang Digital Sejahtera",
                "preferredName": "Cemerlang",
                "emailAddress": "info+user2@cemerlangdigital.co.id",
                "phonePrefix": "62",
                "phoneNumber": "85890302520",
                "foundationDate": "1996-04-20",
                "foundationYear": "1996",
                "numberOfEmployee": "23",
                "nationalityId": "ff1c3f64-3a15-4a51-b8c7-4ec5237a1349",
                "nationalityName": "Burundian",
                "businessEntityId": "168095a6-1a39-4897-9eca-551bc8982ffc",
                "businessEntityName": "Perseroan Terbatas (PT) ",
                "businessClassificationId": "7a8e3327-22b0-4c54-84b7-becc6554da8a",
                "businessClassificationName": "Administration/Clerical/Facilities Svc",
                "natureOfBusinessId": "17d6157a-3e85-4605-871f-8994d60c56f0",
                "natureOfBusinessName": "Import of Goods",
                "industryId": "019df1e6-39ec-4952-a576-475261475a0c",
                "industryName": "Hospitality & Food Services"
            },
            "mainAddress": {
                "countryCode": "IDN",
                "country": "Indonesia",
                "state": "DKI JAKARTA",
                "city": "JAKARTA SELATAN",
                "district": "SETIABUDI (SETIA BUDI)",
                "subdistrict": "KUNINGAN TIMUR",
                "zipcode": "12950",
                "address": "Jl. Setiabudi No.20 RT 01/02"
            },
            "domicileAddress": {
                "countryCode": "IDN",
                "country": "Indonesia",
                "state": "DKI JAKARTA",
                "city": "JAKARTA SELATAN",
                "district": "SETIABUDI (SETIA BUDI)",
                "subdistrict": "KUNINGAN TIMUR",
                "zipcode": "12950",
                "address": "Jl. Setiabudi No.20 RT 01/02"
            }
        },
        "recipientData": {
            "id": "e8ea5840-1d94-4676-a9b1-9b8230297774",
            "recipientType": "BUSINESS",
            "recipientCountryCode": "USA",
            "recipientCountry": "United States",
            "recipientCurrencyCode": "USD",
            "recipientDetails": {
                "bankDetails": {
                    "accountNumber": "09102122",
                    "accountCode": "091234566",
                    "accountName": "Pacific Horizon Solutions",
                    "accountTypeId": "5d7e4f2f-c8ea-4a2f-b83d-cb1d162a4db0",
                    "accountTypeName": "Savings Account",
                    "bankId": "RMT1-8c0608f7ce7d4de99f6d9efe77841dea",
                    "bankName": "ABANCA USA"
                },
                "identificationDetails": {
                    "typeId": "93a603a6-6446-44f1-8971-6c7316aadf0f",
                    "typeName": "Voter's photo ID card",
                    "idNumber": "1234567890123456",
                    "issueCountryCode": "USA",
                    "issueCountry": "United States",
                    "issueDate": "2020-12-19",
                    "expiredDate": "2028-01-12",
                    "issueState": "California",
                    "issueCity": "San Francisco",
                    "issuePlace": "450 Golden Gate Ave",
                    "issueAuthority": "California Department of Motor Vehicles"
                },
                "userInformation": {
                    "firstName": "Michael",
                    "middleName": "Andrew",
                    "lastName": "Johnson",
                    "fullName": "Michael Andrew Johnson",
                    "preferredName": "Mike",
                    "emailAddress": "dummyuser+mikejohnson@gmail.com",
                    "phonePrefix": "1",
                    "phoneNumber": "2025550198",
                    "genderName": "BYPASS",
                    "pobCountryCode": "USA",
                    "pobCountry": "United States",
                    "pob": "New York",
                    "dob": "1994-03-18",
                    "nationalityName": "BYPASS",
                    "occupationName": "BYPASS",
                    "sourceOfIncomeName": "BYPASS"
                },
                "businessInformation": {
                    "businessNumber": "BIZ-20250910",
                    "businessName": "Pacific Horizon Solutions Inc.",
                    "preferredName": "Pacific Horizon",
                    "emailAddress": "pacifichorizon@gmail.com",
                    "phonePrefix": "1",
                    "phoneNumber": "4155550134",
                    "foundationDate": "2005-07-15",
                    "foundationYear": "2005",
                    "numberOfEmployee": "250",
                    "nationalityName": "BYPASS"
                },
                "addressDetails": {
                    "countryCode": "USA",
                    "state": "California",
                    "city": "Los Angeles",
                    "district": "Downtown",
                    "subdistrict": "Arts District",
                    "zipcode": "90012",
                    "address": "1234 Sunset Boulevard"
                },
                "additionalData": {
                    "purposeOfPaymentId": "0a5ac571-f746-4afb-a528-9a3a5baffe64",
                    "purposeOfPaymentName": "Household Maintenance",
                    "recipientRelationshipId": "ba3795bd-27c4-406c-9445-9f8bd6c51f88",
                    "recipientRelationshipName": "Daughter"
                }
            }
        },
        "createdAt": "2025-09-30T12:02:10Z",
        "createdBy": "(API_PARTNER) Lingkar Sembilan Titian Media",
        "status": "PROCESSING",
        "subStatus": "PENDING",
        "isCompleted": false,
        "isFailed": false
    }
}
Modified at 2025-10-23 08:29:54
Previous
Quote Detail
Next
Transaction Status
Built with